ClawOps Docs
API Reference

통화 목록 조회

GET
/v1/accounts/{accountId}/calls

계정의 통화 로그를 페이지네이션으로 조회합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

Query Parameters

status?string

통화 상태로 필터링

Value in"queued" | "ringing" | "in-progress" | "completed" | "failed"
from?|array<string>

발신번호로 필터링. 단일 값 또는 배열 (?from=070...&from=070...)

to?|array<string>

수신번호로 필터링. 단일 값 또는 배열 (?to=010...&to=010...)

number?|array<string>

관여 번호로 필터링 (from OR to 매칭). 해당 번호가 발신 또는 수신에 포함된 통화를 조회합니다. 단일 값 또는 배열

pageSize?integer

페이지당 항목 수 (최대 100)

Default20
Rangevalue <= 100
page?integer

페이지 번호 (0부터 시작)

Default0

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/accounts/AC1a2b3c4d/calls?status=completed&from=07052358010&to=01012345678&number=07012345678&pageSize=20&page=0"
{
  "data": [
    {
      "callId": "CAabcdef1234567890",
      "status": "queued",
      "to": "01012345678",
      "from": "07052358010",
      "direction": "outbound",
      "duration": 30,
      "accountId": "AC1a2b3c4d",
      "dateCreated": "2019-08-24T14:15:22Z",
      "dateUpdated": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "page": 0,
    "pageSize": 0,
    "total": 0
  }
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}
{
  "error": "string",
  "code": "INVALID_PHONE_NUMBER"
}